      integer function IFIND(NUMB,NAMLEN,LENS,NAME,MINS)
      include 'INPAR.INC'
      integer NUMB, NAMLEN, LENS(NUMB), MINS(NUMB)
      integer IMBED, MATCH
      character*1 BLANK, NAME(NAMLEN)
      data BLANK/' '/
      START = IMBED(INPUT,STOPIT)
      if (START.eq.-999) then
         IFIND = -2
         go to 100
      endif
      call SKAN (INPUT,START,STOPIT,TYPE,BLANK,1)
      if (TYPE.eq.100) STOPIT = 81
      IFIND = MATCH(NUMB,NAMLEN,LENS,NAME,MINS)
100   continue
      return
      end
